<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <ScrollView
        android:id="@+id/sl_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never"
        android:scrollbars="none">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_top_select"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/im_fan_pages"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginLeft="11dp"
                    android:layout_marginTop="16dp"
                    android:src="@drawable/icon_fan_pages"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/start_view"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="*"
                    android:textColor="@color/red_eb6363"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/im_fan_pages"
                    app:layout_constraintLeft_toRightOf="@+id/im_fan_pages"
                    app:layout_constraintTop_toTopOf="@+id/im_fan_pages" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="可教授乐器（可多选）"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/im_fan_pages"
                    app:layout_constraintLeft_toRightOf="@+id/start_view"
                    app:layout_constraintTop_toTopOf="@+id/im_fan_pages" />

                <TextView
                    android:id="@+id/tv_select_fans"
                    android:layout_width="54dp"
                    android:layout_height="24dp"
                    android:layout_marginRight="11dp"
                    android:background="@drawable/shape_course_status_ing"
                    android:gravity="center"
                    android:text="选择"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@+id/im_fan_pages"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/im_fan_pages" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_top_select"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginRight="8dp"
                    android:layout_marginBottom="30dp"
                    android:overScrollMode="never"
                    android:scrollbars="none"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/im_fan_pages" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_personal_introduction"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_top_select">

                <ImageView
                    android:id="@+id/im_personal_introduction"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginLeft="11dp"
                    android:layout_marginTop="16dp"
                    android:src="@drawable/icon_personal_introduction"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="个人介绍"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/im_personal_introduction"
                    app:layout_constraintLeft_toRightOf="@+id/im_personal_introduction"
                    app:layout_constraintTop_toTopOf="@+id/im_personal_introduction" />

                <TextView
                    android:id="@+id/tv_num_hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="11dp"
                    android:gravity="center"
                    android:text="0/200"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBottom_toBottomOf="@+id/im_personal_introduction"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/im_personal_introduction" />

                <EditText
                    android:id="@+id/et_self_introduction"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginRight="14dp"
                    android:layout_marginBottom="25dp"
                    android:background="@null"
                    android:gravity="left|top"
                    android:hint="个人介绍"
                    android:lineSpacingExtra="4dp"
                    android:maxLength="200"
                    android:minHeight="66dp"
                    android:textColor="@color/color_666666"
                    android:textColorHint="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/im_personal_introduction" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_eacher_style"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_personal_introduction">

                <ImageView
                    android:id="@+id/im_teacher_style"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginLeft="11dp"
                    android:layout_marginTop="16dp"
                    android:src="@drawable/icon_teacher_style"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="4dp"
                    android:text="老师风采"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/im_teacher_style"
                    app:layout_constraintLeft_toRightOf="@+id/im_teacher_style"
                    app:layout_constraintTop_toTopOf="@+id/im_teacher_style" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_teacher_style_video"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="7dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginBottom="18dp"
                    android:overScrollMode="never"
                    android:scrollbars="none"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/im_teacher_style" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tv_save"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_44"
                android:layout_marginLeft="27dp"
                android:layout_marginTop="29dp"
                android:layout_marginRight="27dp"
                android:layout_marginBottom="48dp"
                android:background="@drawable/shape_course_status_ing"
                android:gravity="center"
                android:text="保存"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_eacher_style" />


        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</LinearLayout>

